Bug 741308

Summary: libvirt spec file tweaks needed for F16 (and F15 virt-preview)
Product: [Fedora] Fedora Reporter: Eric Blake <eblake>
Component: mingw32-libvirtAssignee: Eric Blake <eblake>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 16CC: berrange, clalance, crobinso, dougsland, erik-fedora, itamar, jforbes, laine, rjones, veillard, virt-maint
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-02-14 01:12:17 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Eric Blake 2011-09-26 14:40:55 UTC
Description of problem:
libvirt-0.9.6-1.f16 drags in libwsman1, because there is nothing in the spec file to explicitly disable HyperV support.  If it is intentional that Fedora wants to support HyperV out of the box, this is okay (actually, the spec file still needs an update in that case to require that the build pre-reqs are always present, rather than relying on luck like 0.9.6-1).  On the other hand, if Fedora does not want to support this by default (especially since HyperV support is quite untested at the moment, and leaks quite a bit of memory due to bugs in libwsman1 that have not yet been fixed), then the spec file needs to be altered to explicitly exclude HyperV support, in the same way that other less-supported hypervisors (openvz, vbox, uml, phyp, vmware, libxl) are explicitly excluded for Fedora builds.

Version-Release number of selected component (if applicable):
libvirt-0.9.6-1.f16

How reproducible:
100%

Steps to Reproduce:
1. install libvirt, and see what dependencies it drags in
2.
3.
  
Actual results:
libwsman1 dragged in

Expected results:
decision on whether HyperV support is desired; if not, then libwsman1 is not needed

Additional info:

Comment 1 Daniel Berrangé 2011-09-26 15:00:34 UTC
> then the spec file needs to be
> altered to explicitly exclude HyperV support, in the same way that other
> less-supported hypervisors (openvz, vbox, uml, phyp, vmware, libxl) are
> explicitly excluded for Fedora builds.

I think you are thinking of RHEL builds. Fedora builds aim to enable all possible libvirt features that are possible, in other words everything except AppArmour

Comment 2 Eric Blake 2011-09-26 15:08:13 UTC
Indeed.  But that still means we are missing a definition of the with_hyperv conditional in at least this clause:

# RHEL doesn't ship OpenVZ, VBox, UML, PowerHypervisor,
# VMWare, libxenserver (xenapi), or libxenlight (Xen 4.1 and newer)
%if 0%{?rhel}
%define with_openvz 0
%define with_vbox 0
%define with_uml 0
%define with_phyp 0
%define with_vmware 0
%define with_xenapi 0
%define with_libxl 0
%endif

but you are right that this clause is RHEL, not Fedora, and that fixing this upstream won't require a new F16 build.

Comment 3 Eric Blake 2011-09-28 18:27:59 UTC
F16 needs a new build after all, to pick up this upstream spec fix, so that F15 virt-preview repo will work.  Upstream now has:

commit ba6cbb182b49ca1f94a40285f40f342f84c0bd2a
Author: Eric Blake <eblake@redhat.com>
Date:   Mon Sep 26 14:28:47 2011 -0600

    spec: F15 still uses cgconfig, RHEL lacks hyperv
    
    Commit ecd8725c dropped attempts to probe the cgconfig service on
    new enough Fedora where systemd took over that aspect of the system,
    but mistakenly used F14 instead of F15 as the cutoff point.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=741358
    
    Also, RHEL does not include HyperV support yet.
    
    * libvirt.spec.in (with_cgconfig): Check cgconfig service in F15.
    (%{?rhel}): Provide default for with_hyperv.

Plus it is probably worth backporting this patch, once it gets ack:
https://www.redhat.com/archives/libvir-list/2011-September/msg01072.html

    * Subject: [libvirt] [PATCH] spec: mingw cleanups
    * Date: Tue, 27 Sep 2011 09:00:40 -0600

* libvirt.spec.in (%configure): Drop unused %{one} macro.
* mingw32-libvirt.spec.in (%{rhel}): Compile ESX but not HyperV on
mingw build for RHEL.
(%build): Make configure honor spec conditionals.  Reorder to
match libvirt.spec.
* autobuild.sh (mingw): Update list to match.
Suggested by Daniel P. Berrange.

Comment 4 Laine Stump 2011-10-03 03:25:38 UTC
Eric,

The first patch you mention is already covered by Bug 738725. As for the second, that quickly spread to 3 patches, and it's unclear to me which of them is appropriate for inclusion in Rawhide / F16 / F15-virt-preview (especially since tmy understanding of Dan's comment is that we *don't* want to disable Hyper-V on Fedora unless absolutely necessary). Can you elaborate (with commit ID's of the patches to push on the Rawhide/F16 branches other than ba6cbb)?

Comment 5 Eric Blake 2011-10-03 15:22:01 UTC
Looks like libvirt-0.9.6-2.f16 is sufficient - it includes the backport of ba6cbb18, which is the only upstream libvirt.spec patch that wasn't in 0.9.6 proper as of this comment.  I still have a pending patch for the mingw spec file, per comment 3, but that's not a show-stopper for the non-mingw release.

Comment 6 Eric Blake 2011-10-03 15:25:13 UTC
Since bug 738725 picked up commit ba6cbb, I'm reassigning this bug to mingw32-libvirt to pick up the mingw spec file changes.

Comment 7 Richard W.M. Jones 2011-10-03 15:58:24 UTC
Dan's the one who deals with mingw32-libvirt (he's already CC'd).

Comment 8 Fedora End Of Life 2013-01-16 22:39:58 UTC
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 9 Fedora End Of Life 2013-02-14 01:12:22 UTC
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.